Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class ConsultApplicationResponseType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.ConsultApplicationResponseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultApplicationResponseType extends Object implements Serializable
Groeperend element voor het antwoord op de vraag tot consultatie van een bestaande aanvraag.

Java class for ConsultApplicationResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultApplicationResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType" minOccurs="0"/>
             <choice>
               <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ConsultApplicationAcceptedType"/>
               <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ConsultApplicationNotAcceptedType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultApplicationResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultApplicationAcceptedType`
  `getAccepted()`
  Consultatie van de bestaande aanvraag is goed ontvangen en antwoord bevat een beeld van deze aanvraag en een historiek van de statussen van de aanvraag.
  `ConsultApplicationNotAcceptedType`
  `getNotAccepted()`
  Consultatie van de bestaande aanvraag is in fout gegaan en kan niet behandeld worden.
  `String`
  `getVSBReference()`
  De VSB-referentie in het antwoord op de consultatie van een bestaande aanvraag.
  `void`
  `setAccepted(ConsultApplicationAcceptedType value)`
  Sets the value of the accepted property.
  `void`
  `setNotAccepted(ConsultApplicationNotAcceptedType value)`
  Sets the value of the notAccepted property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultApplicationResponseType

    public ConsultApplicationResponseType()

- ## Method Details

  - ### getVSBReference

    public String getVSBReference()
    De VSB-referentie in het antwoord op de consultatie van een bestaande aanvraag. Indien de referentie in de vraag tot consultatie foutief was, wordt ook in het antwoord de foutieve referentie opgenomen. Indien de vraag is gefaald omwille van XSD-validatie of technische fouten zal dit veld niet aanwezig zijn.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`

  - ### getNotAccepted

    public ConsultApplicationNotAcceptedType getNotAccepted()
    Consultatie van de bestaande aanvraag is in fout gegaan en kan niet behandeld worden.
    Returns:
      possible object is `ConsultApplicationNotAcceptedType`

  - ### setNotAccepted

    public void setNotAccepted(ConsultApplicationNotAcceptedType value)
    Sets the value of the notAccepted property.
    Parameters:
      `value` - allowed object is `ConsultApplicationNotAcceptedType`
    See Also:
      - `getNotAccepted()`

  - ### getAccepted

    public ConsultApplicationAcceptedType getAccepted()
    Consultatie van de bestaande aanvraag is goed ontvangen en antwoord bevat een beeld van deze aanvraag en een historiek van de statussen van de aanvraag.
    Returns:
      possible object is `ConsultApplicationAcceptedType`

  - ### setAccepted

    public void setAccepted(ConsultApplicationAcceptedType value)
    Sets the value of the accepted property.
    Parameters:
      `value` - allowed object is `ConsultApplicationAcceptedType`
    See Also:
      - `getAccepted()`